Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006232OCamlOCaml tools (ocaml{lex,yacc,dep,browser,debug})public2013-11-08 16:012014-05-30 14:49
Reporterglondu 
Assigned Toshinwell 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.02.0+dev 
Summary0006232: Enable mkstemp in yacc
DescriptionThe attached patch enables mkstemp on more platforms (including Debian ones).
Tagspatch
Attached Filespatch file icon 0011-Enable-mkstemp-in-yacc.patch [^] (678 bytes) 2013-11-08 16:01 [Show Content]

- Relationships

-  Notes
(0011600)
shinwell (developer)
2014-05-30 14:49
edited on: 2014-05-30 14:50

I think it is a bug that mktemp was being used on platforms supporting mkstemp, so I have committed a fix to the 4.02 branch (rev 14929).

(However, I'm not sure the fix that was attached to this issue was correct; at least some of those macros I think are supposed to be defined by those including system headers rather than the system headers themselves, for example. We already have a "hasgot" means of detecting the presence or absence of functions such as these in the configure script, so I added mkstemp to that detection.)


- Issue History
Date Modified Username Field Change
2013-11-08 16:01 glondu New Issue
2013-11-08 16:01 glondu File Added: 0011-Enable-mkstemp-in-yacc.patch
2014-02-19 16:43 doligez Tag Attached: patch
2014-05-30 14:49 shinwell Note Added: 0011600
2014-05-30 14:49 shinwell Status new => resolved
2014-05-30 14:49 shinwell Fixed in Version => 4.02.0+dev
2014-05-30 14:49 shinwell Resolution open => fixed
2014-05-30 14:49 shinwell Assigned To => shinwell
2014-05-30 14:50 shinwell Note Edited: 0011600 View Revisions


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker